/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\misc\christmas\leadingot.cs
Lines of code: 32
***********************************************************/


using System;
using Server.Items;

namespace Server.Items
{

	public class LeadIngot : Item
	{
		[Constructable]
		public LeadIngot() : base(7147)
		{
			Hue=1107;
			Stackable=false;
			Name="Lead Blocks";
		}

		
		[Constructable]
		public LeadIngot( int min,int max ) : base(min+Utility.Random(max-min))
		{
		}		

		public LeadIngot( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}	
}